<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Task 20.100</title>
    <!-- Nhúng thư viện boostrap -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>
</head>

<body>
    <div class="container jumbotron signup-form col-sm-8 mx-auto">
        <div class="row form-group">
            <div class="col-sm-12 text-center">
                <h2>Registration Form</h2>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-6">
                <div class="row form-group">
                    <div class="col-sm-4">
                        <label for="">First Name <span class="text-danger">(*)</span></label>
                    </div>
                    <div class="col-sm-8">
                        <input id="inp-firstname" class="form-control" type="text">
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-sm-4">
                        <label for="">Last Name <span class="text-danger">(*)</span> </label>
                    </div>
                    <div class="col-sm-8">
                        <input id="inp-lastname" class="form-control" type="text">
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-sm-4">
                        <label for="">Birthday <span class="text-danger">(*)</span> </label>
                    </div>
                    <div class="col-sm-8">
                        <input id="inp-birthday" class="form-control" type="text">
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-sm-4">
                        <label for="">Gender <span class="text-danger">(*)</span></label>
                    </div>
                    <div class="col-sm-8">
                        <div class="row">
                            <div class="col">
                                <input id="inp-male" type="checkbox">
                                <label for="">Male</label>
                            </div>
                            <div class="col">
                                <input id="inp-female" type="checkbox">
                                <label for="">Female</label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="row form-group">
                    <div class="col-sm-4">
                        <label for="">Passport <span class="text-danger">(*)</span></label>
                    </div>
                    <div class="col-sm-8">
                        <input id="inp-passport" class="form-control" type="password">
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-sm-4">
                        <label for="">Email </label>
                    </div>
                    <div class="col-sm-8">
                        <input id="inp-email" class="form-control" type="text">
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-sm-4">
                        <label for="">Country <span class="text-danger">(*)</span> </label>
                    </div>
                    <div class="col-sm-8">
                        <input id="inp-country" class="form-control" type="text">
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-sm-4">
                        <label for="">Region</label>
                    </div>
                    <div class="col-sm-8">
                        <input id="inp-region" class="form-control" type="text">
                    </div>
                </div>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-2">
                <label for="">Subject</label>
            </div>
            <div class="col-sm-10">
                <textarea id="textarea-sub" class="form-control"></textarea>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12 text-right">
                <button id="btn-submit" class="btn btn btn-success">Send</button>

            </div>
        </div>
    </div>
</body>
<script>
    $(document).ready(function(){
        $("#btn-submit").on("click",function(){
            onBtnSendClick();
        })
    })


    function onBtnSendClick() {
        var vOjb = readData()
        console.log(vOjb)
        if(validateData(vOjb)){
            showData(vOjb)
        }
        
    }
    function readData() {
        var vInpFirstName = $("#inp-firstname").val().trim();
        var vInpLastName = $("#inp-lastname").val().trim();
        var vInpBirthday = $("#inp-birthday").val().trim();
        var vInpMale = $("#inp-male").is(":checked")
        var vInpFemale = $("#inp-female").is(":checked")
        var vInpPassport = $("#inp-passport").val().trim();
        var vInpEmail = $("#inp-email").val().trim();
        var vInpCountry = $("#inp-country").val().trim();
        var vInpRegion = $("#inp-region").val().trim();
        var vInpSubject = $("#textarea-sub").val().trim();
        // if(vInpMale == true){
        //     $("#inp-female").prop("disabled", true)
        // } else if(vInpFemale == true){
        //     $("#inp-male").prop("disabled", true)
        // }
        
        var vOjb = {
            firstname: vInpFirstName,
            lastname: vInpLastName,
            birthday: vInpBirthday,
            male: vInpMale,
            female: vInpFemale,
            passport: vInpPassport,
            email: vInpEmail,
            country: vInpCountry,
            region: vInpRegion,
            subject: vInpSubject,
        }
        return vOjb
    }
    function validateData(paramOjb) {
        if (paramOjb.firstname === "") {
            alert("Hãy nhập firstname")
            return false
        }
        if (paramOjb.lastname === "") {
            alert("Hãy nhập lastname")

            return false
        }
        if (paramOjb.birthday === "") {
            alert("Hãy nhập birthday")

            return false
        }
        if (paramOjb.male == paramOjb.female) {
            alert("Hãy chọn 1 Gender ")
            return false
        }
        if (paramOjb.passport === "") {
            alert("Hãy nhập passport")

            return false
        }
        if (paramOjb.email === "") {
            alert("Hãy nhập email")

            return false
        }
        if (checkEmail(paramOjb.email) == false) {
            alert("Email bạn nhập không đúng định dạng")

            return false
        }
        if (paramOjb.country === "") {
            alert("Hãy nhập country")

            return false
        }
        return true
    }
    function checkEmail(paramEmail) {
        if (/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(paramEmail)) {
            return (true)
        }
        
        return false;
    }
    function showData(paramOjb){
        console.log("Firstname: " + paramOjb.firstname);
        console.log("Lasttname: " + paramOjb.lastname);
        console.log("Birthday: " + paramOjb.birthday);
        if(paramOjb.male == true){
            console.log("Gender: Male" )
        } else { 
            console.log("Gender: Female")
        }
        console.log("Passport: " + paramOjb.passport);
        console.log("Email: " + paramOjb.email);
        console.log("Country: " + paramOjb.country);
        console.log("Region: " + paramOjb.region);

    }
    
</script>

</html>